%global php_apiver  %((echo 0; php -i 2>/dev/null | sed -n 's/^PHP API => //p') | tail -1)
%{!?__pecl:     %{expand: %%global __pecl     %{_bindir}/pecl}}
%{!?php_extdir: %{expand: %%global php_extdir %(php-config --extension-dir)}}
%define pecl_name json


Name:           php-pecl-json
Version:        1.2.1
Release:        4%{?dist}
Summary:        PECL library to implement JSON in PHP

Group:          Development/Libraries 
License:        PHP
URL:            http://pecl.php.net/package/json
Source0:        http://pecl.php.net/get/json-%{version}.tgz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:    php-devel, php-pear
Requires(post):   %{__pecl}
Requires(postun): %{__pecl}

%if %{?php_zend_api}0
Requires:     php(zend-abi) = %{php_zend_api}
Requires:     php(api) = %{php_core_api}
%else
Requires:     php-api = %{php_apiver}
%endif

Provides:     php-pecl(json) = %{version}, php-json


%description
PHP support for JSON (JavaScript Object Notation) serialization.

%prep
%setup -q -c


%build
cd json-%{version}
%{_bindir}/phpize
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
cd json-%{version}
make install INSTALL_ROOT=$RPM_BUILD_ROOT
# Install the package XML file
%{__mkdir_p} %{buildroot}%{pecl_xmldir}
%{__install} -m 644 ../package.xml %{buildroot}%{pecl_xmldir}/%{pecl_name}.xml

# Drop in the bit of configuration
%{__mkdir_p} %{buildroot}%{_sysconfdir}/php.d
%{__cat} > %{buildroot}%{_sysconfdir}/php.d/%{pecl_name}.ini << 'EOF'
; Enable %{pecl_name} extension module
extension = %{pecl_name}.so
EOF


%if 0%{?pecl_install:1}
%post
%{pecl_install} %{pecl_xmldir}/%{name}.xml >/dev/null || :
%endif


%if 0%{?pecl_uninstall:1}
%postun
if [ $1 -eq 0 ]  ; then
%{pecl_uninstall} %{pecl_name} >/dev/null || :
fi
%endif


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc json-%{version}/README
%config(noreplace) %{_sysconfdir}/php.d/%{pecl_name}.ini
%{php_extdir}/%{pecl_name}.so
%{pecl_xmldir}/%{pecl_name}.xml


%changelog
* Sat Jul 18 2009  Jon Stanley <jonstanley@gmail.com> - 1.2.1-4
- Add Provides php-json for Fedora compatibiltiy - bz512295

* Fri Feb 13 2009  Remi Collet <Fedora@FamilleCollet.com> 1.2.1-3
- add configuration file

* Fri Aug 08 2008 Nigel Jones <dev@nigelj.com> - 1.2.1-2
- Fix Requires:

* Thu Aug 07 2008 Nigel Jones <dev@nigelj.com> - 1.2.1-1
- Initial RPM (EL4/EL5)
